function szamitas(szam){
    let myPromise = new Promise((resolve, reject) => { 
        if (szam > 0) {
            let terulet = szam * szam;
            let kerulet = 4 * szam;
            let eredmeny = {
                terulet: terulet,
                kerulet: kerulet
            }
            resolve(eredmeny); 
        } else {
            reject("A szám nem lehet negatív vagy nulla!"); 
        }
    });

    myPromise
    .then(result => {
        console.log(`Négyzet kerülete: ${result.kerulet}`); 
        console.log(`Négyzet területe: ${result.terulet}`);
    })
    .catch(error => {
        console.error(`Hiba: ${error}`); 
    });

}
szamitas(5);


